import type * as c4 from '@likec4/core';
import type { Location } from 'vscode-languageserver-types';
import type { ParsedAstElement } from '../ast';
import { ast } from '../ast';
import type { LikeC4Services } from '../module';
export declare class LikeC4ModelLocator {
    private services;
    private fqnIndex;
    private deploymentsIndex;
    private langiumDocuments;
    constructor(services: LikeC4Services);
    private documents;
    getParsedElement(astNodeOrFqn: ast.Element | c4.Fqn): ParsedAstElement | null;
    locateElement(fqn: c4.Fqn, _prop?: string): Location | null;
    locateDeploymentElement(fqn: c4.Fqn, _prop?: string): Location | null;
    locateRelation(relationId: c4.RelationId): Location | null;
    locateViewAst(viewId: c4.ViewId): {
        doc: any;
        view: any;
        viewAst: ast.LikeC4View;
    } | null;
    locateView(viewId: c4.ViewId): Location | null;
}
